Innehåll
Index 🔎︎

# Shell Function

Startar ett annat program och definierar respektive fönsterformat, om det behövs.

## Syntax

Shell (Pathname As String[, Windowstyle As Integer][, Param As String][, bSync])

## Parameter

### Pathname

Fullständig sökväg och programnamn för det program du vill starta.

### Windowstyle

Valfritt heltalsuttryck som anger format för det fönster programmet körs i. Följande värden är möjliga:

0 | Fokus placeras på det dolda programfönstret.
1 | Fokus placeras på programfönstret i standardstorlek.
2 | Fokus placeras på det minimerade programfönstret.
3 | Fokus placeras på det maximerade programfönstret.
4 | Programfönster av standardstorlek, utan fokus.
6 | Minimerat programfönster, fokus är kvar på det aktiva fönstret.
10 | Helskärmsvisning

### Param

Ett stränguttryck som anger den kommandorad som ska överföras.

### bSync

Om det här värdet anges till true, så väntar kommandot Shell och alla LibreOffice-aktiviteter tills skalprocessen är slutförd. Om värdet anges till false returneras skalet direkt. Standardvärdet är false.

### Felkoder:

5 Felaktigt proceduranrop

53 Filen hittas inte

73 Inte implementerad

## Exempel

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub